Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(28)

Issue 1323293005: mac: Add a hack to condition_variable_posix.cc to avoid a crash. (Closed)

Created:
3 years, 6 months ago by erikchen
Modified:
3 years, 6 months ago
Reviewers:
Mark Mentovai
CC:
chromium-reviews
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

mac: Add a hack to condition_variable_posix.cc to avoid a crash. The Darwin pthreads subsystem has a bug that can cause the program to crash if a conditional variable is destroyed after it has been signalled, but before it has been waited on. This hack is a solution proposed by Apple in its own developer forums. BUG=517681 Committed: https://crrev.com/9c98c005f4ea59dd9425a4ee5d4e278f1c00ad8c Cr-Commit-Position: refs/heads/master@{#347736}

Patch Set 1 #

Patch Set 2 : #

Total comments: 4
Unified diffs Side-by-side diffs Delta from patch set Stats (+14 lines, -0 lines) Patch
M base/synchronization/condition_variable_posix.cc View 1 1 chunk +14 lines, -0 lines 4 comments Download

Messages

Total messages: 12 (2 generated)
erikchen
mark: Please review.
3 years, 6 months ago (2015-09-03 22:22:41 UTC) #2
Mark Mentovai
https://codereview.chromium.org/1323293005/diff/20001/base/synchronization/condition_variable_posix.cc File base/synchronization/condition_variable_posix.cc (right): https://codereview.chromium.org/1323293005/diff/20001/base/synchronization/condition_variable_posix.cc#newcode48 base/synchronization/condition_variable_posix.cc:48: { The bug says 10.10 and 10.11. Does this ...
3 years, 6 months ago (2015-09-04 12:30:56 UTC) #3
erikchen
https://codereview.chromium.org/1323293005/diff/20001/base/synchronization/condition_variable_posix.cc File base/synchronization/condition_variable_posix.cc (right): https://codereview.chromium.org/1323293005/diff/20001/base/synchronization/condition_variable_posix.cc#newcode48 base/synchronization/condition_variable_posix.cc:48: { On 2015/09/04 12:30:56, Mark Mentovai - August is ...
3 years, 6 months ago (2015-09-04 17:25:37 UTC) #4
Mark Mentovai
I just had a chance to look at the system code more closely. I believe ...
3 years, 6 months ago (2015-09-04 18:22:02 UTC) #5
erikchen
On 2015/09/04 18:22:02, Mark Mentovai - August is over wrote: > I just had a ...
3 years, 6 months ago (2015-09-05 00:57:06 UTC) #6
Mark Mentovai
LGTM, because I can’t say that this definitely won’t help without trying to mentally diff ...
3 years, 6 months ago (2015-09-08 14:46:47 UTC) #7
erikchen
sgtm On Tue, Sep 8, 2015 at 7:46 AM, <mark@chromium.org> wrote: > LGTM, because I ...
3 years, 6 months ago (2015-09-08 16:32:41 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1323293005/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1323293005/20001
3 years, 6 months ago (2015-09-08 16:32:58 UTC) #10
commit-bot: I haz the power
Committed patchset #2 (id:20001)
3 years, 6 months ago (2015-09-08 17:50:29 UTC) #11
commit-bot: I haz the power
3 years, 6 months ago (2015-09-08 17:51:30 UTC) #12
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/9c98c005f4ea59dd9425a4ee5d4e278f1c00ad8c
Cr-Commit-Position: refs/heads/master@{#347736}

Powered by Google App Engine
This is Rietveld 408576698